# XQilla Simple API Documentation

# MessageListener Class Reference

A class used to listen for warnings or trace information. More...

`#include <MessageListener.hpp>`

List of all members.

## Public Member Functions

virtual | ~MessageListener ()
virtual void | warning (const XMLCh *message, const LocationInfo *location)=0
| Called to report a warning message.
virtual void | trace (const XMLCh *label, const Sequence &sequence, const LocationInfo *location, const DynamicContext *context)=0
| Called to report a trace message.

## Detailed Description

A class used to listen for warnings or trace information.

## Constructor & Destructor Documentation

virtual MessageListener::~MessageListener | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void MessageListener::trace | ( | const XMLCh * | label,
|  | const Sequence & | sequence,
|  | const LocationInfo * | location,
|  | const DynamicContext * | context |
| ) |  |  | `[pure virtual]`

Called to report a trace message.

virtual void MessageListener::warning | ( | const XMLCh * | message,
|  | const LocationInfo * | location |
| ) |  |  | `[pure virtual]`

Called to report a warning message.

The documentation for this class was generated from the following file:

- MessageListener.hpp